Subject: RE: [rohc] Question: CRC coverage of ROHC RTP feedback messages

From: "Lars-Erik Jonsson (LU/EAB)" <[email-masked]>
Date: Tue, 9 Sep 2003 14:31:47 +0200

Again, see below...

> -----Original Message-----
> From: Alan Kennington [mailto:[email-masked]]
> Sent: den 5 juli 2003 00:45
> To: ROHC mailing list
> Cc: Alan Kennington
> Subject: [rohc] Question: CRC coverage of ROHC RTP feedback messages
> 
> 
> There seems to be ambiguity in the specification of the CRC coverage
> for ROHC feedback messages.
> Can anyone tell me what the correct interpretation is?
> Could this be incorporated into the ROHC implementer's guide?
> 
> The issue arises in RFC 3095, section 5.7.6.3, page 92:
> 
> =========================================================
> 5.7.6.3.  The CRC option
> 
>    The CRC option contains an 8-bit CRC computed over the entire
>    feedback payload, without the packet type and code octet, but
>    including any CID fields, using the polynomial of section
>    5.9.1.  If the CID is given with an Add-CID octet, the Add-CID
>    octet immediately precedes the FEEDBACK-1 or FEEDBACK-2 format.
>    For purposes of computing the CRC, the CRC fields of all CRC
>    options are zero.
> =========================================================
> 
> It says above that the CRC does not cover the packet type and 
> code octet.
> But does it cover the "size" octet if present?
> The "size" is effectively an optional extension of the "code" octet.
> On that basis, it would seem reasonable that the CRC does not 
> cover it.

Agree!

> But the RFC does not say this. It seems to deny this.
> Therefore it is ambiguous in a way which strongly affects 
> interoperability.
> Is the answer written somewhere? 

I think this is missing, and could be clarified in the guide.
Opinions from others???

/L-E

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: Remi Pelland <[email-masked]>
Date: Thu, 11 Sep 2003 10:36:51 -0400

I also think that the "size" octet is an extension of the type/code octet
and that it shouldn't be covered by the CRC.

Remi.

-----Original Message-----
From: Lars-Erik Jonsson (LU/EAB) [mailto:[email-masked]]
Sent: Tuesday, September 09, 2003 8:32 AM
To: 'Alan Kennington'; ROHC mailing list
Subject: RE: [rohc] Question: CRC coverage of ROHC RTP feedback messages

Again, see below...

Agree!

/L-E